Bug 167466 - New port: x11-fm/qtfm A small, lightweight file manager based on pure Qt
Summary: New port: x11-fm/qtfm A small, lightweight file manager based on pure Qt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-01 02:10 UTC by lichray
Modified: 2012-05-09 00:38 UTC (History)
0 users

See Also:


Attachments
qtfm.shar (15.39 KB, text/plain)
2012-05-01 02:10 UTC, lichray
no flags Details
qtfm_1.shar (15.44 KB, application/x-shar)
2012-05-01 02:59 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-05-01 02:10:11 UTC
	
	A small file manager which only depends on QtGui and QtNetwork (no modern hal, polkit, etc.).
	http://www.qtfm.org/

Fix: 1. <sys/vfs.h> -> <sys/mount.h>;
	2. inotify -> QFileSystemWatcher (reported to upstream);
	3. /proc/self/mtab watching -> kevent EVFILT_FS in a thread;
	4. /proc/self/mtab parsing -> getmntinfo(3) (reported).
Comment 1 lichray 2012-05-01 02:59:50 UTC
Fix 1 known problem and a big miss.

1. Requires qt4-imageformats plugins.
2. Use USE_DOS2UNIX in a correct way (did not noticed that due to the
icon cache).

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 2 Max Brazhnikov freebsd_committer 2012-05-03 23:08:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 Max Brazhnikov freebsd_committer 2012-05-09 00:38:28 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!